local awful = require "awful"
local quarrel = require "quarrel"

if quarrel.is_restart() then return end

local programs = {
    "picom -b",
    "sxhkd",
    "clipcatd",
    "wezterm",
    "wezterm start --class code_term",
    "firefox",
    "discord",
    "LD_PRELOAD=/usr/lib/spotify-adblock.so spotify"
}

for _, program in ipairs(programs) do
    awful.spawn.with_shell(program .. " 1>/dev/null 2>&1")
end
