local q = require "quarrel"
local qbind = require "quarrel.bind"
local qui = require "quarrel.ui"
local qvars = require "quarrel.vars"
local wibox = require "wibox"

local power_menu = wibox.widget {
    qui.styled {
        widget = wibox.container.background,
        bg = qvars.colors.black,
        {
            widget = wibox.widget.textbox,
            text = "1",
            buttons = {
                qbind:new {
                    triggers = qvars.btns.left,
                    press = function()
                        q.debug("from 1")
                    end,
                    hidden = true
                }
            }
        }
    },
    qui.styled {
        widget = wibox.container.background,
        bg = qvars.colors.black,
        {
            widget = wibox.widget.textbox,
            text = "2",
            buttons = {
                qbind:new {
                    triggers = qvars.btns.left,
                    press = function()
                        q.debug("from 2")
                    end,
                    hidden = true
                }
            }
        }
    },
    qui.styled {
        widget = wibox.container.background,
        bg = qvars.colors.black,
        {
            widget = wibox.widget.textbox,
            text = "3",
            buttons = {
                qbind:new {
                    triggers = qvars.btns.left,
                    press = function()
                        q.debug("from 3")
                    end,
                    hidden = true
                }
            }
        }
    },
    layout = wibox.layout.flex.horizontal
}

return power_menu
