local gfs = require "gears.filesystem"
local qfs = require "quarrel.fs"

local icons = {}
local phosphor_dir = gfs.get_configuration_dir() .. "assets/phosphor/"

for _, icon in ipairs(qfs.ls_files(phosphor_dir)) do
    if icon:match(".+%.(.+)") == "svg" then
        icons[icon:match("(.+)%..+"):gsub("-", "_")] = phosphor_dir .. icon
    end
end

return icons
