local awful = require "awful"
local phosphor = require "assets.phosphor"

local cfg = {
    terminal = "wezterm",
    tags = {
        {
            layout = awful.layout.suit.floating,
            selected = true,
            icon = phosphor.house_fill
        },
        {
            layout = awful.layout.suit.floating,
            icon = phosphor.browser_fill
        },
        {
            layout = awful.layout.suit.tile.left,
            master_width_factor = 0.7,
            icon = phosphor.discord_logo_fill
        },
        {
            layout = awful.layout.suit.tile.top,
            master_width_factor = 0.2,
            icon = phosphor.spotify_logo_fill
        },
        {
            layout = awful.layout.suit.tile.right,
            master_width_factor = 0.7,
            icon = phosphor.code_fill
        },
        {
            layout = awful.layout.suit.floating,
            icon = phosphor.game_controller_fill
        }
    }
}

return cfg
