local awful = require "awful"
local cfg = require "misc.cfg"
local gtable = require "gears.table"

screen.connect_signal("request::desktop_decoration", function(s)
    for i, tag in ipairs(cfg.tags) do
        awful.tag.add(tostring(i), gtable.crush({
            screen = s
        }, tag))
    end
end)
